import { Plugin, ViteDevServer } from 'vite';
import { SFCScriptCompileOptions, SFCStyleCompileOptions, SFCTemplateCompileOptions } from '@vue/compiler-sfc';
declare module '@vue/compiler-sfc' {
    interface SFCDescriptor {
        id: string;
    }
}
export { parseVueRequest, VueQuery } from './utils/query';
export interface Options {
    include?: string | RegExp | (string | RegExp)[];
    exclude?: string | RegExp | (string | RegExp)[];
    isProduction?: boolean;
    script?: Partial<SFCScriptCompileOptions>;
    template?: Partial<SFCTemplateCompileOptions>;
    style?: Partial<SFCStyleCompileOptions>;
    /**
     * @deprecated the plugin now auto-detects whether it's being invoked for ssr.
     */
    ssr?: boolean;
}
export interface ResolvedOptions extends Options {
    root: string;
    devServer?: ViteDevServer;
}
export default function vuePlugin(rawOptions?: Options): Plugin;
//# sourceMappingURL=index.d.ts.map